org.apache.hc.core5.net

## Class InetAddressUtils

- java.lang.Object
- - org.apache.hc.core5.net.InetAddressUtils

-     public class InetAddressUtils
      extends Object

  A collection of utilities relating to InetAddresses.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `IPV4` Represents the ipv4
    `static byte` | `IPV6` Represents the ipv6.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `formatAddress(StringBuilder buffer, SocketAddress socketAddress)` Formats `SocketAddress` as text.
    `static String` | `getCanonicalLocalHostName()` Returns canonical name (fully qualified domain name) of the localhost.
    `static boolean` | `isIPv4Address(String input)` Checks whether the parameter is a valid IPv4 address
    `static boolean` | `isIPv4MappedIPv64Address(String input)`
    `static boolean` | `isIPv6Address(String input)` Checks whether the parameter is a valid IPv6 address (including compressed).
    `static boolean` | `isIPv6HexCompressedAddress(String input)` Checks whether the parameter is a valid compressed IPv6 address
    `static boolean` | `isIPv6StdAddress(String input)` Checks whether the parameter is a valid standard (non-compressed) IPv6 address
    `static boolean` | `isIPv6URLBracketedAddress(String input)` Checks whether the parameter is a valid URL formatted bracketed IPv6 address (including compressed).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IPV4

          public static final byte IPV4

      Represents the ipv4
      Since:
        5.1
      See Also:
        Constant Field Values

    - #### IPV6

          public static final byte IPV6

      Represents the ipv6.
      Since:
        5.1
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isIPv4Address

          public static boolean isIPv4Address(String input)

      Checks whether the parameter is a valid IPv4 address
      Parameters:
        `input` - the address string to check for validity
      Returns:
        true if the input parameter is a valid IPv4 address

    - #### isIPv4MappedIPv64Address

          public static boolean isIPv4MappedIPv64Address(String input)

    - #### isIPv6StdAddress

          public static boolean isIPv6StdAddress(String input)

      Checks whether the parameter is a valid standard (non-compressed) IPv6 address
      Parameters:
        `input` - the address string to check for validity
      Returns:
        true if the input parameter is a valid standard (non-compressed) IPv6 address

    - #### isIPv6HexCompressedAddress

          public static boolean isIPv6HexCompressedAddress(String input)

      Checks whether the parameter is a valid compressed IPv6 address
      Parameters:
        `input` - the address string to check for validity
      Returns:
        true if the input parameter is a valid compressed IPv6 address

    - #### isIPv6Address

          public static boolean isIPv6Address(String input)

      Checks whether the parameter is a valid IPv6 address (including compressed).
      Parameters:
        `input` - the address string to check for validity
      Returns:
        true if the input parameter is a valid standard or compressed IPv6 address

    - #### isIPv6URLBracketedAddress

          public static boolean isIPv6URLBracketedAddress(String input)

      Checks whether the parameter is a valid URL formatted bracketed IPv6 address (including compressed). This matches only bracketed values e.g. `[::1]`.
      Parameters:
        `input` - the address string to check for validity
      Returns:
        true if the input parameter is a valid URL-formatted bracketed IPv6 address

    - #### formatAddress

          public static void formatAddress(StringBuilder buffer,
                                           SocketAddress socketAddress)

      Formats `SocketAddress` as text.
      Since:
        5.0

    - #### getCanonicalLocalHostName

          public static String getCanonicalLocalHostName()

      Returns canonical name (fully qualified domain name) of the localhost.
      Since:
        5.0

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.